Summary:	Advanced Linux Sound Architecture (ALSA) utilities
Name:		alsa-utils
Version:	1.0.28
Release:	2
License:	GPLv2+
Group:		Sound
Url:		http://www.alsa-project.org
Source0:	ftp://ftp.alsa-project.org/pub/utils/%{name}-%{version}.tar.bz2
BuildRequires:	kernel-headers
BuildRequires:	systemd-units
BuildRequires:	xmlto
BuildRequires:	pkgconfig(alsa) >= %{version}
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
Requires:	alsa-lib >= 1:%{version}
# dependancies for alsaconf:
Requires:	pciutils

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%files
%doc [A-Z][A-Z]*
%{_bindir}/[a-i]*
%{_sbindir}/alsactl
/sbin/alsactl
%{_mandir}/man1/[a-i]*
%{_mandir}/man7/alsactl_init.7*
%{_datadir}/alsa/
/lib/systemd/system/*.service
/lib/systemd/system/*/*.service
/lib/udev/rules.d/*.rules
/var/lib/alsa

#----------------------------------------------------------------------------

%package -n speaker-test
Summary:	ALSA test tool
Group:		Sound
Requires:	alsa-utils

%description -n speaker-test
speaker-test is a tool that enables one to test his head phones.

%files -n speaker-test
%{_bindir}/speaker-test
%{_mandir}/man1/speaker-test.*
%{_datadir}/sounds/alsa/

#----------------------------------------------------------------------------

%package -n alsaconf
Summary:	ALSA configuration tool
Group:		Sound
Requires:	alsa-utils
Requires:	whiptail
Requires:	cdialog

%description -n alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as mandriva linux will autoconfigure sound cards.

%files -n alsaconf -f alsaconf.lang
%{_sbindir}/alsaconf
%{_mandir}/man8/alsaconf.*
%lang(fr) %{_mandir}/fr/man8/alsaconf.*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--with-systemdsystemunitdir=%{_unitdir}

%make all

%install
%makeinstall_std mkdir_p="mkdir -p"

# Create /var/lib/alsa tree
mkdir -p -m 755 %{buildroot}/var/lib/alsa

# move alsactl in /sbin in order to reload mixer settings on bootstrapping:
mkdir %{buildroot}/sbin
mv %{buildroot}%{_sbindir}/alsactl %{buildroot}/sbin/alsactl

ln -s ../../sbin/alsactl %{buildroot}%{_sbindir}

%find_lang alsaconf
%find_lang alsa-utils
cat alsa-utils.lang >> alsaconf.lang


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0.28-2
+ Revision: b4b7705
- MassBuild#440: Increase release tag


